Subject: Re: [bug#36131] Add Multiple Common Lisp Packages

From: Ludovic Courtès <[email-masked]>
Date: Tue, 25 Jun 2019 17:39:57 +0200

Hello Katherine,

Thanks for this patch series!

I’ve applied all of them until #7 included (fare-utils), fixing minor
issues that ‘guix lint’ reported.

I’d be grateful if someone reading this could do their share of
review/apply work!  :-)

I noticed that ‘ecl-hu.dwim.asdf’ and ‘ecl-rt’ fail to build, so I
couldn’t test all the ‘ecl-*’ variants.  Could you take a look at these
two packages?

More generally, does it make sense to have ECL variants for each and
every package?  Or should we trim that down?  I’m under the impression
that ECL is typically used with rather small code bases since it’s meant
to be embedded, but then I’m not a Common Lisper.

Thanks!

Ludo’.